AGB  ·  Datenschutz  ·  Impressum  







Anmelden
Nützliche Links
Registrieren

XCODE 12.2 und Sydney will nicht

Ein Thema von arnof · begonnen am 22. Nov 2020 · letzter Beitrag vom 25. Nov 2020
Antwort Antwort
Seite 1 von 3  1 23   
arnof

Registriert seit: 25. Apr 2013
1.231 Beiträge
 
Delphi 10.1 Berlin Enterprise
 
#1

XCODE 12.2 und Sydney will nicht

  Alt 22. Nov 2020, 19:44
ich bekomme folgende Fehlermeldung:

[DCC Fehler] E2597 ld: file 'C:\Users\...\Documents\Embarcadero\Studio\SDKs\iP honeOS14.2.sdk/usr/lib/libiconv.dylib' too small (length=0) for architecture arm64

vorher war SDK 13.5 drauf, da kam die gleiche Meldung, dann habe ich auf 14.2 upgedatet, Problem bleibt aber ?
  Mit Zitat antworten Zitat
arnof

Registriert seit: 25. Apr 2013
1.231 Beiträge
 
Delphi 10.1 Berlin Enterprise
 
#2

AW: XCODE 12.2 und Sydney will nicht

  Alt 22. Nov 2020, 20:15
irgendwie sin alle Dateien die aus dem SDK Manager erzeugt werden 0 Bytes groß ????
  Mit Zitat antworten Zitat
philipp.hofmann

Registriert seit: 21. Mär 2012
Ort: Hannover
376 Beiträge
 
Delphi 10.4 Sydney
 
#3

AW: XCODE 12.2 und Sydney will nicht

  Alt 22. Nov 2020, 21:16
Warum willst du xcode 12.x nutzen? Ich glaube Delphi kann bis jetzt nur 11.5. Man findet von xcode auch alte Versionen zur Installation.
  Mit Zitat antworten Zitat
arnof

Registriert seit: 25. Apr 2013
1.231 Beiträge
 
Delphi 10.1 Berlin Enterprise
 
#4

AW: XCODE 12.2 und Sydney will nicht

  Alt 23. Nov 2020, 08:33
Warum willst du xcode 12.x nutzen? Ich glaube Delphi kann bis jetzt nur 11.5. Man findet von xcode auch alte Versionen zur Installation.
Ich wollte das nicht, Apple lässt sich ja nicht mehr von Updates abhalten; letztes Sicherheitsupdate installiert und schon war xcode upgedatet
  Mit Zitat antworten Zitat
philipp.hofmann

Registriert seit: 21. Mär 2012
Ort: Hannover
376 Beiträge
 
Delphi 10.4 Sydney
 
#5

AW: XCODE 12.2 und Sydney will nicht

  Alt 23. Nov 2020, 09:13
Wie gesagt, für xcode kann man ältere Versionen installieren, das geht sogar parallel (Google wirft da einige hilfreiche Infos unter "more xcode version parallel" heraus). Das sollte für dich zielführender sein.
  Mit Zitat antworten Zitat
Benutzerbild von twein
twein

Registriert seit: 2. Jan 2004
Ort: Düsseldorf
49 Beiträge
 
Delphi 10.3 Rio
 
#6

AW: XCODE 12.2 und Sydney will nicht

  Alt 23. Nov 2020, 11:39
Warum willst du xcode 12.x nutzen? Ich glaube Delphi kann bis jetzt nur 11.5. Man findet von xcode auch alte Versionen zur Installation.
Wo steht das?
Mit welcher Begründung sollte dies nicht funktionieren!

Ich habe ebenfalls das Problem, hatte dazu auch schon mal einen Fehler eingestellt!
Da Delphi mit Version 10.4 kein MacOSX64 konnte.

Heute mal das Update auf 10.4.1 ausgeführt und wieder nix!

Es ist ein Trauerspiel: Irgendwann mit 10.4.2 soll es funktionieren!
Thomas

Geändert von twein (23. Nov 2020 um 11:49 Uhr)
  Mit Zitat antworten Zitat
Benutzerbild von twein
twein

Registriert seit: 2. Jan 2004
Ort: Düsseldorf
49 Beiträge
 
Delphi 10.3 Rio
 
#7

AW: XCODE 12.2 und Sydney will nicht

  Alt 23. Nov 2020, 16:57
Hier ist eine Antwort von Embarcadero:

There are known problems with the latest version of Xcode and the importing of the macOS 11 SDK and the iOS 14 SDK. At this stage all I can recommend is that you revert to Xcode 11.7 which has macOS 11.5.6 and iOS 13.7. The following steps will allow you to keep your existing Xcode installation.

Please do the following:

1. Download https://download.developer.apple.com...Xcode_11.7.xip
2. Extract the xip file using Apple's archive utility in your downloads folder. (a xip file is a codesigned zip file unique to Apple)
3. When this has extracted, rename the Xcode package to say Xcode11.7.
4. Drag this over to your Applications folder. Because it has been renamed, it won't overwrite your existing Xcode installation.
5. Launch either version of Xcode.
6. Open Xcode | Preferences and select Location.
7. In this screen there is a command line tools dropdown. Select Xcode 11.7.
8. Back in Delphi, try to add a new macOS SDK. This time you should get an option to add 11.5.

Regards

Eine wirklich sehr schnelle Antwort

Ich hoffe das ist hilfreich!
Thomas
  Mit Zitat antworten Zitat
arnof

Registriert seit: 25. Apr 2013
1.231 Beiträge
 
Delphi 10.1 Berlin Enterprise
 
#8

AW: XCODE 12.2 und Sydney will nicht

  Alt 23. Nov 2020, 22:04
Hier ist eine Antwort von Embarcadero:

There are known problems with the latest version of Xcode and the importing of the macOS 11 SDK and the iOS 14 SDK. At this stage all I can recommend is that you revert to Xcode 11.7 which has macOS 11.5.6 and iOS 13.7. The following steps will allow you to keep your existing Xcode installation.

Please do the following:

1. Download https://download.developer.apple.com...Xcode_11.7.xip
2. Extract the xip file using Apple's archive utility in your downloads folder. (a xip file is a codesigned zip file unique to Apple)
3. When this has extracted, rename the Xcode package to say Xcode11.7.
4. Drag this over to your Applications folder. Because it has been renamed, it won't overwrite your existing Xcode installation.
5. Launch either version of Xcode.
6. Open Xcode | Preferences and select Location.
7. In this screen there is a command line tools dropdown. Select Xcode 11.7.
8. Back in Delphi, try to add a new macOS SDK. This time you should get an option to add 11.5.

Regards

Eine wirklich sehr schnelle Antwort

Ich hoffe das ist hilfreich!
Danke war sehr hilfreich und auf dem Handy kommt was an, leider geht keinerlei Debugging und Co. auch die App wird nicht direkt gestartet, aber es kommt schon mal was an und man kommt schon mal weiter.

Danke

Geändert von arnof (23. Nov 2020 um 22:17 Uhr)
  Mit Zitat antworten Zitat
Benutzerbild von twein
twein

Registriert seit: 2. Jan 2004
Ort: Düsseldorf
49 Beiträge
 
Delphi 10.3 Rio
 
#9

AW: XCODE 12.2 und Sydney will nicht

  Alt 24. Nov 2020, 12:37
Debug soll ja mit iOS NICHT funktionieren.

Bei mir stürzt eine TestApp mit iOS aber sofort ab!
Der gleich Source funktioniert mit macOS.

Simple helloWorld: Ein Button, ein Label. Button Klick ersetzt den Test im Label.

Immer wieder Rätsel und unnötiger Arbeitsaufwand

Die Dokumentation (Wiki) ist auch nicht richtig beschrieben.
Thomas
  Mit Zitat antworten Zitat
Rollo62

Registriert seit: 15. Mär 2007
2.862 Beiträge
 
Delphi 10.4 Sydney
 
#10

AW: XCODE 12.2 und Sydney will nicht

  Alt 24. Nov 2020, 14:04
Ich nutze XCode 12.1, SDK iOS 13.6.1 mit Rx10.4.1
Bei mir geht Alles soweit (iOS Debug/Release/Store, Macos/Debug).

Mein Testphone ist allerdings noch auf iOS 13.6.1.
  Mit Zitat antworten Zitat
Antwort Antwort
Seite 1 von 3  1 23   

Themen-Optionen Thema durchsuchen
Thema durchsuchen:

Erweiterte Suche
Ansicht

Forumregeln

Es ist dir nicht erlaubt, neue Themen zu verfassen.
Es ist dir nicht erlaubt, auf Beiträge zu antworten.
Es ist dir nicht erlaubt, Anhänge hochzuladen.
Es ist dir nicht erlaubt, deine Beiträge zu bearbeiten.

BB-Code ist an.
Smileys sind an.
[IMG] Code ist an.
HTML-Code ist aus.
Trackbacks are an
Pingbacks are an
Refbacks are aus

Gehe zu:

Impressum · AGB · Datenschutz · Nach oben
Alle Zeitangaben in WEZ +1. Es ist jetzt 20:46 Uhr.
Powered by vBulletin® Copyright ©2000 - 2020, Jelsoft Enterprises Ltd.
LinkBacks Enabled by vBSEO © 2011, Crawlability, Inc.
Delphi-PRAXiS (c) 2002 - 2020 by Daniel R. Wolf